/*
 * Copyright 1999-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id$ */

package org.apache.fop.fo.properties;

/**
 * Stores all common aural properties.
 * See Sec. 7.6 of the XSL-FO Standard.
 * Public "structure" allows direct member access.
 */
public class CommonAural {

    public int azimuth;
    public String cueAfter;
    public String cueBefore;
    public int elevation;
    public int pauseAfter;
    public int pauseBefore;
    public int pitch;
    public int pitchRange;
    public int playDuring;
    public int richness;
    public int speak;
    public int speakHeader;
    public int speakNumeral;
    public int speakPunctuation;
    public int speechRate;
    public int stress;
    public int voiceFamily;
    public int volume;

}
